.BG
.FN rm.object
.TL
Repeated measures model object
.DN
Repeated measures model object
.SH DESCRIPTION
The object `"rm"' represents the fit of a repeated measurement model.
.SH GENERATION
This class of objects is returned from the `rm.fit' function  to
represent a fitted linear model on repeated measures.
.SH METHODS
The `"rm"' class of objects has methods  for  the  following
generic functions: `print', `residuals', `fitted', `anova', `summary'.
.SH INHERITANCE
The class `"rm"' does not inherit from any other S-PLUS class object.
.SH STRUCTURE
.AG call  
call to the function.
.AG coefficients   
matrix of coefficients of the maximum likelihood estimation.  The
names of the coefficients are the names of the
single-degree-of-freedom effects (the columns of the model matrix).
.AG s.e 
vector of standard errors of the estimated  parameters.
.AG covariance
estimated covariance matrix. In the binary and Poisson case it is
computed via numerical second derivatives of the log likelihood.
.AG log.likelihood 
the maximum of the log-likelihood function.
.AG message 
a statement of the reason for terminating the optimization task.
.AG data  
the original data list, restricted to the individuals used in the fit
if necessary.
.AG n.cases 
number of profiles used in the fit.
.AG residuals  
the residuals from the fit.
.AG fitted.values 
the fitted values from the fit.
.AG response  
a character value identifying the name of the response variable in the
data list.
.AG family 
the parametric family.
.AG sigma2 
the within subject estimated variance. Available in the Gaussian case only.
.AG rho 
the autoregressive parameter. Available in the Gaussian case only.
.AG delta 
the estimated variance(s) for the random effect(s), if present. When
only an individual random component is present this is the ratio of
the between subjects over the within subjects variance
component. Available only in the Gaussian case.
.AG anova.aux 
list containing quantities relevant to the analysis of deviance 
table in the Gaussian case (see also `anova.rm()'). Available in 
the Gaussian case only.
.DT
All the components in a `"rm"' object can be extracted by the
extractor operator `$'.  The residuals and the fitted values could
also be extracted by the generic functions `residuals' and
`fitted'. These functions create a list containing, for the
individuals used in the fit, all the variables included in the
original data list except the response variable, which in turn is
substituted either by the residuals or by the fitted values
.SA
`rm.fit', `residuals.rm', `fitted.rm', `print.rm'
.WR
