.BG
.FN rm.plot
.TL
Repeated measurements plots
.DN
Interactive graphical function to analyze individual profiles in a repeated
measurements problem.
.CS
rm.plot(formula, data, subset, given.values, timelab, ylab, 
timelim, ylim, ...)
.RA
.AG formula
a formula expression as for regression models of the form `response ~
time (| covariates)'.  At most two covariates can be used in the
predictor. See the documentation of `formula' for details.
.AG data
a data list in which to interpret the variables occurring in the
formula.  List elements are identified by names.  NA values are
allowed. See the documentation of `rm.fit' for details.
.OA
.AG subset
expression stating which subset of the data rows should be used in the
plot and fit.  This is a logical statement of the type `covariate1 ==
"a" & covariate2 > x' which identifies the observations to be
selected.  The default selection is `"all observations"'.
.AG given.values
a numeric vector, character vector, or two-column matrix that
specifies the given values when there is one given numerical
predictor, or a list of two such objects when there are two. If
missing, reasonable things happen.
.AG timelab
time axis labels. If missing, the name of the variable in `formula' is
used.
.AG ylab
response axis labels. If missing, the name of the variable in
`formula' is used.
.AG timelim
approximate minimum and maximum values to be put on time axis.
.AG ylim
approximate minimum and maximum values to be put on the response axis.
.AG panel
a flag that determines the method of plotting on the graphical window. The default is TRUE.
.AG ...
Graphical parameters may also be supplied as arguments  to
this function (see `par').
.RT
No numerical output is provided.
.SE
a plot of the individual profiles is produced on the current graphics
device.  Dialog boxes showing scrolling lists of all the levels of the
covariates (when used) are also presented. Levels in the scrolling
lists can be interactively `selected' and `deselected'.
.DT
.SH LAYOUT 
There are two main layouts for `rm.plot()', depending on the value of
the flag `panel'. If `panel' is `TRUE', then a matrix of dependence
panels is created with as many panels as the number of levels for the
first conditioning variable. On each dependence panel, profiles are
plotted for the subjects showing the level of the covariate written at
the top of the panel. If `panel' is `FALSE', then a single plotting
window is created.
.SH DIALOG BOXES
A dialog box is present whenever:
.br
(a) `panel' is `FALSE'and covariates appear in `formula';
(b) `panel' is `TRUE' and two covariates appear in `formula'.
.br
Each covariate is associated with one box.  The upper part of the
boxes contains a menu showing the levels of the covariates used in the
call to the function.  Labels of the covariates levels as declared in
the data list are used to identify the levels; intervals are used for
numerical covariates, when not otherwise stated (see `given.values').
Two different interactive options can be chosen: `Show unselected' or
`Hide unselected'.  A radiobox contains the selection for the
interactive option; the active option is shown by the pressed button.
The selection can be toggled at any time during interaction simply by
clicking (the selection button) on the desired mode and the two
options may be switched any number of times.  In the `Show unselected'
mode, all profiles are plotted in the plot window and profiles
corresponding to the highlighted level are highlighted.  In the single
mode, the last operated selection is the only active and highlighted
one.  The lower part of the dialog boxes is used to stop interaction.
To exit, place the cursor over the button labeled `Quit' and press the
left mouse button.  The rm.plot layout will remain, and a prompt will
appear in the S-PLUS command window.  No other S-PLUS commands are
evaluated until `rm.plot' is exited.
.SH GRAPHICAL INTERACTION
Clicking on a level highlights the individual profiles of the subset
of cases (if any) which present the selected level.  If this subset is
empty, a new graphics input is expected. In the show unselected mode,
whenever a new level is selected, the new individual profiles
identified by the selection are highlighted while the remaining
profiles are kept downlighted; in the hide unselected mode, only the
last identified profiles are shown.
.br
If two covariates are used when `panel' is `TRUE', profiles of cases
that satisfy the active selection on the second covariate are
highlighted on each dependence panel.
.br
If two covariates are used when `panel' is `FALSE', profiles of cases
that satisfy the active selections on the both the covariates are
highlighted. This selection process may be repeated any number of
times.  No graphical interaction is possible if covariates are
missing.
.SA
`rm.mean', `rm.fit'
.EX
rm.plot(y~time, data = citrate.list)

rm.plot(log(response)~time|soil+site, data = soil.list, subset = 
	moisture < 45, ylim = c(1,2))
.WR
